ChangeSet 1.1935, 2004/04/22 13:53:33-07:00, jan@ccsinfo.com

[PATCH] USB: ftdi patch fixup

I just checked out the latest 2.6.6-rc1-mm1 to see that the ID patch for
ftdi has applied cleanly, but apparently someone was faster and in the
combined ID table our ID's were missing.
Most probably the patch program got confused and applied the hung at wrong
spot..

Attached is a patch that places that 2 lines in the correct spot.


 drivers/usb/serial/ftdi_sio.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)


diff -Nru a/drivers/usb/serial/ftdi_sio.c b/drivers/usb/serial/ftdi_sio.c
--- a/drivers/usb/serial/ftdi_sio.c	Thu Apr 22 14:41:02 2004
+++ b/drivers/usb/serial/ftdi_sio.c	Thu Apr 22 14:41:02 2004
@@ -463,8 +463,6 @@
  	{ USB_DEVICE_VER(FTDI_VID, LINX_FUTURE_2_PID, 0x400, 0xffff) },
 	{ USB_DEVICE(FTDI_VID, FTDI_CCSICDU20_0_PID) },
 	{ USB_DEVICE(FTDI_VID, FTDI_CCSICDU40_1_PID) },
- 	{ USB_DEVICE(FTDI_VID, FTDI_CCSICDU20_0_PID) },
- 	{ USB_DEVICE(FTDI_VID, FTDI_CCSICDU40_1_PID) },
 	{ }						/* Terminating entry */
 };
 
@@ -566,6 +564,8 @@
  	{ USB_DEVICE_VER(FTDI_VID, LINX_FUTURE_0_PID, 0x400, 0xffff) },
  	{ USB_DEVICE_VER(FTDI_VID, LINX_FUTURE_1_PID, 0x400, 0xffff) },
  	{ USB_DEVICE_VER(FTDI_VID, LINX_FUTURE_2_PID, 0x400, 0xffff) },
+ 	{ USB_DEVICE(FTDI_VID, FTDI_CCSICDU20_0_PID) },
+ 	{ USB_DEVICE(FTDI_VID, FTDI_CCSICDU40_1_PID) },
 	{ USB_DEVICE(FTDI_VID, INSIDE_ACCESSO) },
 	{ }						/* Terminating entry */
 };
